#!/usr/bin/make -f

NEWSDIR=/var/lib/sysnews

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- NEWSDIR=$(NEWSDIR) LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS) $(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/sysnews/usr NEWSDIR=$(NEWSDIR)

override_dh_fixperms:
	dh_fixperms
	chown root.staff debian/sysnews/var/lib/sysnews
	chmod g+ws debian/sysnews/var/lib/sysnews
